import { marked } from 'marked'
import markedMfm from '../src/index.js'

describe('marked-mfm', () => {
  beforeEach(() => {
    marked.setOptions(marked.getDefaults())
  })

  test('inline', () => {
    marked.use(markedMfm())
    expect(marked('$[x2 this text is bigger]')).toBe('<p><span style="display: inline-block" class="x2">this text is bigger</span></p>\n')
  })

  test('nested', () => {
    marked.use(markedMfm())
    expect(marked('$[twitch twitch $[sparkle sparkle]]')).toBe('<p><span style="display: inline-block" class="twitch">twitch <span style="display: inline-block" class="sparkle">sparkle</span></span></p>\n')
  })
})
